import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'flutter_shqj_base_platform_interface.dart';

/// An implementation of [FlutterShqjBasePlatform] that uses method channels.
class MethodChannelFlutterShqjBase extends FlutterShqjBasePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('flutter_shqj_base');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
