import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'flutter_shqj_base_method_channel.dart';

abstract class FlutterShqjBasePlatform extends PlatformInterface {
  /// Constructs a FlutterShqjBasePlatform.
  FlutterShqjBasePlatform() : super(token: _token);

  static final Object _token = Object();

  static FlutterShqjBasePlatform _instance = MethodChannelFlutterShqjBase();

  /// The default instance of [FlutterShqjBasePlatform] to use.
  ///
  /// Defaults to [MethodChannelFlutterShqjBase].
  static FlutterShqjBasePlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [FlutterShqjBasePlatform] when
  /// they register themselves.
  static set instance(FlutterShqjBasePlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
