import 'package:flutter/cupertino.dart';

/// 文本组件
class TextView extends StatelessWidget {
  final String text;

  final Color? color;

  final String? fontFamily;

  final double? size;

  final double? marginLeft;

  final double? marginRight;

  final double? marginTop;

  final double? marginBottom;

  const TextView(this.text,
      {super.key,
      this.color,
      this.fontFamily,
      this.size,
      required this.marginLeft,
      required this.marginRight,
      required this.marginTop,
      required this.marginBottom});

  @override
  Widget build(BuildContext context) {
    return Container(
        margin: EdgeInsets.only(
            left: marginLeft ?? 0,
            right: marginLeft ?? 0,
            top: marginTop ?? 0,
            bottom: marginBottom ?? 0),
        child: Text(text,
            style: TextStyle(
                color: color, fontSize: size, fontFamily: fontFamily)));
  }
}
