import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_shqj_base/flutter_shqj_base.dart';
import 'package:flutter_shqj_base/flutter_shqj_base_platform_interface.dart';
import 'package:flutter_shqj_base/flutter_shqj_base_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockFlutterShqjBasePlatform
    with MockPlatformInterfaceMixin
    implements FlutterShqjBasePlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final FlutterShqjBasePlatform initialPlatform = FlutterShqjBasePlatform.instance;

  test('$MethodChannelFlutterShqjBase is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelFlutterShqjBase>());
  });

  test('getPlatformVersion', () async {
    FlutterShqjBase flutterShqjBasePlugin = FlutterShqjBase();
    MockFlutterShqjBasePlatform fakePlatform = MockFlutterShqjBasePlatform();
    FlutterShqjBasePlatform.instance = fakePlatform;

    expect(await flutterShqjBasePlugin.getPlatformVersion(), '42');
  });
}
